EDIT - bug #8088

Open taxon node wizard issues
02/08/2019 06:33 PM - Andreas Mdller

Status: Feedback Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.8

Severity: critical Found in Version:

Description

Urgent: reenable taxon selection for reusing taxa (see #8088#note-3) => hotfix 5.5.1

Copied from #7794

Classification selection for top level taxa (#7794#note-12)
If labels of existing data are long the wizard becomes extremely large, it should work with line break, truncation or scrolling and
have always the same size except for users changing the size

¢ Remove remaining classification chooser (#7794#note-9 and #7794 attachement picture585-1.png)

Show "Parent Child Relation Source" and "Detail" below Parent, with identation and shorten label to "Parent Relation Source" or
simply "Relation Source" if identation is obvious enough
Alternatively: move all taxon node information (parent + relSource, classification) down below taxon information (name, sec, is
public) (#7794#note-5, second part)
in EDIT mode:

o do not show sec ref as it is usually part of the taxon title (minor) or at least disable lable

o show parent instead of classification

Fixes for Hotfix 5.5.1:

TOE (see comment 7) and LLE (see comment 9) in saveNewTaxonNode fixed
Taxon Selection in Edit and New Wizard added

Related issues:
Related to EDIT - bug #8223: Urgent TaxonNode wizard issues Resolved
Copied from EDIT - bug #7794: Update TaxonNodeWizard Closed

Associated revisions

Revision 070e6317 - 02/18/2019 04:37 PM - Katja Luther

ref #8088: taxon should be selectable in taxonnode wizard when editing existing node

Revision 0d3d2e38 - 02/20/2019 09:55 AM - Katja Luther

ref #8088: fix TOE in edit taxon node wizard when changing taxon

Revision 3b0ec7a1 - 02/20/2019 10:21 AM - Katja Luther

ref #8088: use existing taxon for new taxonnode or when editing node

Revision aeb812fd - 02/20/2019 11:34 AM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon

Revision 7e2d59f9 - 02/20/2019 11:34 AM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon

Revision aa5b9df6 - 02/20/2019 12:01 PM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon

Revision da113e80 - 02/20/2019 12:04 PM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon
Revision 3adf46dc - 02/20/2019 12:07 PM - Katja Luther

ref #8088: taxon should be selectable in taxonnode wizard when editing existing node

Revision 6ad6a6e4 - 02/20/2019 12:18 PM - Katja Luther

ref #8088: fix TOE in edit taxon node wizard when changing taxon

Revision 774459a9 - 02/20/2019 12:18 PM - Katja Luther

ref #8088: use existing taxon for new taxonnode or when editing node

Revision 6f2311af - 02/20/2019 03:33 PM - Katja Luther

ref #8088: fix save taxonnode method

Revision 3a99aa7c - 02/20/2019 03:36 PM - Katja Luther

ref #8088: fix save taxonnode method

Revision c3b48aa2 - 02/20/2019 04:02 PM - Katja Luther

ref #8088: open taxonnode from result

Revision 18960c83 - 02/20/2019 04:35 PM - Katja Luther

ref #8088: open taxonnode from result

Revision d669970d - 02/21/2019 09:42 AM - Katja Luther
ref #8088: adapt labels and fix publish flag in edit wizard

Revision b4072196 - 02/21/2019 10:51 AM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision d9757a33 - 02/21/2019 10:56 AM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision ad2f71e9 - 02/21/2019 12:16 PM - Katja Luther
ref #8088: adapt labels and fix publish flag in edit wizard

Revision 14292cfa - 02/21/2019 02:07 PM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision a8a19cd5 - 02/21/2019 02:09 PM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision 7d50358d - 02/22/2019 09:28 PM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision 4a5b4e97 - 02/22/2019 09:28 PM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision 30eb4609 - 04/04/2019 09:55 AM - Katja Luther
ref #8088: fix LIE in saveTaxonNode

Revision 12cf574a - 04/08/2019 01:16 PM - Katja Luther
ref #8088: avoid NPE in saveTaxonNode

Revision acca70b5 - 04/15/2019 03:53 PM - Katja Luther
ref #8088: fix LIE in saveTaxonNode

Revision 94dd2a5d - 04/15/2019 03:53 PM - Katja Luther
ref #8088: avoid NPE in saveTaxonNode
History

#1 - 02/08/2019 06:35 PM - Andreas Miiller
- Description updated

#2 - 02/08/2019 06:36 PM - Andreas Miiller
- Copied from bug #7794: Update TaxonNodeWizard added

#3 - 02/15/2019 12:02 PM - Andreas Miiller
- Description updated
- Priority changed from New to Highest

- Severity changed from normal to critical

Something went wrong in previous ticket #7794. The taxon itself should be selectable for both "New" and "Edit" mode. Currently it is not selectable in
any of them. If not selectable it is impossible to reuse a taxon (a functionality that we currently use e.g. in phycobank and therefore it is urgent).

In both cases, if a taxon is reused the other taxon attributes should not be editable (like in "Edit" mode anyway). For "New" we also need a "remove"
taxon selection button to reenable manual entering of a new taxon.

#4 - 02/15/2019 12:13 PM - Andreas Miiller

- Description updated

#5 - 02/15/2019 12:14 PM - Andreas Miiller

- Description updated

#6 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#7 - 02/20/2019 09:52 AM - Katja Luther

- Target version changed from Reviewed Next Major Release to Release 5.6

Ich habe versucht das Taxon eines Taxonnodes zu &ndern und bekam den Fehler unten.
Gibt es dafiir schon ein Ticket? Kannst du die Meldung da rein pasten. Ist dringend flir den Hoffix.

AM

login : admin
editor version : 5.6.0.201902191749
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.springframework.dao.InvalidDataAccessApiUsageException: object references an unsaved transient instance -
save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.TaxonNode; nested exception is org.h
ibernate.TransientObjectException: object references an unsaved transient instance - save the transient instan
ce before flushing: eu.etaxonomy.cdm.model.taxon.TaxonNode

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (Sessi
onFactoryUtils. java:191)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessExcepti
on (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransaction
Manager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Abs
tractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPl
atformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterR
eturning (TransactionAspectSupport. java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction
(TransactionAspectSupport.java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterce
ptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocat
ion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

Caused by: org.hibernate.TransientObjectException: object references an unsaved transient instance - save the
#8 - 02/21/2019 09:29 AM - Katja Luther

- Description updated

#9 - 02/21/2019 09:30 AM - Katja Luther

Hallo,

bekomme diese Fehlermeldung beim Anlegen eines neuen Taxons.

viele GrBe und schéne
Nadja

WE

login : n.korotkova

editor version : 5

server : api.cybertaxonomy.org

0ol

schema version : 5.0.0.0.20180514
os : Windows 7 6.1 amdo64

java : 1.8.0_20

(cybertaxonomy.org) / caryophyllales_spp

org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer. java:

266)

at
. java:68)

at
)

at
yListener. java:55)

at

org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer

eu.

eu.

eu.

etaxonomy .

etaxonomy.

etaxonomy.

EntityListener.java:39)

at eu.etaxonomy.
teEntityListener. java:29)

at
at
at
at
at
at
at

03/20/2024

org.
org.
org.
org.
org.
org.
org.

hibernate

hibernate.
hibernate.
hibernate.
hibernate.
hibernate.
hibernate.

cdm.mode
cdm.pers
cdm.pers
cdm.pers

.interna
interna
engine.
engine.
engine.
engine.
engine.

l.taxon.TaxonNode_$$_jvstaOl_6c.treeIndex (TaxonNode_$$_Jjvstall_6c. java
istence.hibernate.SaveOrUpdateEntityListener.reindex (SaveOrUpdateEntit
istence.hibernate.SaveOrUpdateEntityListener.saveOrUpdate (SaveOrUpdate
istence.hibernate.SaveOrUpdateEntityListener.onSaveOrUpdate (SaveOrUpda
1.SessionImpl.saveOrUpdate (SessionImpl. java:640)
spi.CascadingActions$5.cascade (CascadingActions. java:218)
internal.Cascade.cascadeToOne (Cascade. java:398)
internal.Cascade.cascadeAssociation (Cascade.java:323)
internal.Cascade.cascadeProperty (Cascade. java:162)
internal.Cascade.cascade (Cascade. java:111)
#10 - 02/21/2019 09:30 AM - Katja Luther

- Description updated

#11 - 02/21/2019 10:49 AM - Andreas Miiller

- Description updated
#12 - 02/21/2019 10:58 AM - Katja Luther
- Description updated
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review the hotfix tasks.

#13 - 02/21/2019 12:01 PM - Andreas Miiller

- Description updated

The hotfix tasks seem to work now.

#14 - 04/01/2019 04:01 PM - Katja Luther

- Assignee changed from Andreas Miiller to Patrick Plitzner

#15 - 04/03/2019 04:06 PM - Patrick Plitzner
- File picture661-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

Tested on nightly.

e taxon selection is possible in edit and new wizard
e #8088#note-7 works
e #8088#note-9 still throws an exception. | tried to add a child node and just specified the name and hit Finish (see image)

P UEIGUIL LIS LG U SPELITIEN DUl L
} Default Classification Specimen Import2 repaired
b Test
b Testnew tree editor New Taxon
v Testklass
» Delia Dumort.
» Facchinia Rchb. Parent Testtesgt L. sec. 5.G.Gmel,, 1770 = m
Gattung art Reuse existing taxon
Gomphrena ts Reuse existing name
b Media test Secundum Reference 5.G.Gmel. in Novi Comment. Acad. Sci. Imp. Petrop. 14(1). 1770 = @
¥ Mein name Mill, A. New Taxon rresttesgrvarmgsw ‘
Nepenthes morganiana L. Parent Child Relation Source = m
Test newroot Detail [ ]
Taxon is published M
Test publicyy -
Taxen is unplaced ]
TestlesgtL Taxon is excluded m
Testklass test H.Boissieu ex 5.A.Erwin Excluded Notes
Dianthus fruticosus subsp. amerginus Runemark ‘
Dianthus fruticosus subsp. amerginus Runemark
Dianthus specicosus subsp. amerginus Runemark Finish and Open Cancel i L
b Msec?? [ Factual Da ] = 5 [_5
Test pubaaa, Acta Soc. Sci. Fenn,, Ser. B, Opera Biol. 3.24 Unexpected error + X
¥ hgjghjghj
This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Details’ button).
org.hibernate.LazylnitializationException: could not initialize proxy - no Session
Copy Error Details >> OK
login : admin

editor version : 5.6.0.201904031330
server : 160.45.63.175 (edit-test) / rem_conf_am
schema version : 5.5.0.0.20190221
os : Linux 4.15.0-46-generic amdé64
jJava : 1.8.0_121
org.hibernate.LazyInitializationException: could not initialize proxy - no Session
at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)
at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer.java:266)
at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer.java:68)
at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvstcd8_62.getTitleCache (TeamOrPersonBase_$$_jvstcd8_6
#16 - 04/04/2019 09:57 AM - Katja Luther

this should be fixed with the last commit in cdmlib

#17 - 04/05/2019 08:50 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

#18 - 04/05/2019 09:10 AM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 0 to 50

The exception when creating a new taxon is now also fixed. Tested on nightly

#19 - 04/08/2019 12:59 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Classification selection for top level taxa

This is not yet fixed

#20 - 04/08/2019 01:04 PM - Andreas Miiller

Andreas Muller wrote:

Classification selection for top level taxa

This is not yet fixed

At least for new taxon nodes it is not shown at all and also not selectable. For existing nodes it is shown but not selectable (which might be
acceptable as nodes can be moved via move operation)

#21 - 04/08/2019 01:05 PM - Katja Luther

Sorry, the review should be done only on the hotfix tasks, | will split this ticket.

#22 - 04/08/2019 01:10 PM - Katja Luther

- Status changed from Feedback to In Progress

moved all fixed issues to a new ticket

#23 - 04/08/2019 01:17 PM - Katja Luther

03/20/2024 11/12



- Related to bug #8221: When changing nomenclatural code the name detail elements are not available anymore added

#24 - 04/08/2019 01:18 PM - Katja Luther

- Related to deleted (bug #8221: When changing nomenclatural code the name detail elements are not available anymore)

#25 - 04/08/2019 01:18 PM - Katja Luther
- Related to bug #8223: Urgent TaxonNode wizard issues added

#26 - 04/11/2019 12:01 PM - Katja Luther

- Target version changed from Release 5.6 to Release 5.7

the urgent issues are handled in #8223, the rest will be implemented in 5.7

#27 - 05/03/2019 04:52 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#28 - 07/19/2019 03:08 PM - Andreas Miiller

- Status changed from In Progress to Feedback

can we close this and create a new ticket with open issues? There are already several commits on this ticket.

Let me know if | should review something.
